##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################
__doc__='''Google interface for Zope
$Id: __init__.py,v 1.13 2002/08/14 22:25:08 mj Exp $'''
__version__='$Revision: 1.00 $'[11:-2]


from google import setLicense, setProxy, doGoogleSearch, SearchResult, SearchResultsMetaData


def getMetaData( result ):
    '''Yes, well, this probably can be done much better. Let me know at douwe@oberon.nl. I'm not allowed to acces the meta
       propery of the result object from Zope, so returning a dictionary should do the trick'''
    meta=result.meta
    return { 'documentFiltering' : meta.documentFiltering,
             'searchComments' : meta.searchComments,
             'estimatedTotalResultsCount' : meta.estimatedTotalResultsCount,
             'estimateIsExact' : meta.estimateIsExact,
             'searchQuery' : meta.searchQuery,
             'startIndex' : meta.startIndex,
             'endIndex' : meta.endIndex,
             'searchTips' : meta.searchTips,
             'searchTime' : meta.searchTime }

def getResults( result ):
    'idem'
    zoperes=[]
    for res in result.results:
        zoperes.append( {'URL': res.URL, 'title': res.title} )
    return zoperes


__roles__ = None
__allow_access_to_unprotected_subobjects__ = 1

from AccessControl import ModuleSecurityInfo, getSecurityManager

security = ModuleSecurityInfo()
security.declarePublic('setLicense')
security.declarePublic('setProxy')
security.declarePublic('doGoogleSearch')
security.declarePublic('SearchResult')
security.declarePublic('SearchResultsMetaData')
security.declarePublic('getMetaData')

